Subject: 1-2-3 Installer fails with "There is no connection to the database!"
Description

I just installed a fresh Ubuntu VM and was trying to install the TYPO3 6.1.7 Introduction Package.

Sadly, the 1-2-3 installer fails at the database setup step.

There is no connection to the database! 
(Username: root, Host: localhost, Using Password: YES) 
Go to Step 1 and enter a valid username and password!

The login credentials are fine and it doesn't really matter which credentials I use. I've double checked them via the shell.

The issue is present on Windows hosts as well.

Related issues:
duplicates Core - Bug # 53997: 123 Installer tries to find database before th... Closed 2013-11-27

History
#1 - 2013-12-11 14:08 - Markus Klein
- Status changed from New to Needs Feedback

Please disable DBAL extension in the LocalConfiguration.php
See http://forge.typo3.org/issues/53997#note-4 for details

#2 - 2013-12-11 14:15 - Oliver Salzburg

Markus Klein wrote:

Please disable DBAL extension in the LocalConfiguration.php
See http://forge.typo3.org/issues/53997#note-4 for details

Works like a charm. Thanks.

#3 - 2014-01-06 17:08 - Alexander Opitz
- Status changed from Needs Feedback to Closed
